| Home | Libraries | People | FAQ | More

## Function template ireplace_all

boost::algorithm::ireplace_all — Replace all algorithm ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename SequenceT, typename Range1T, typename Range2T>
      void ireplace_all(SequenceT & Input, const Range1T & Search,
                        const Range2T & Format,
                        const std::locale & Loc = std::locale());

## Description

Replace all occurrences of the search string in the input with the format string.The input sequence is modified in-place. Searching is case insensitive.

Parameters: |
`Format` | A substitute string
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Search` | A substring to be searched for